HyperTrackDocs
Places

Clear the inferences of a place

Clears the inferences of a place, i.e. inferred geofences, parking, checking locations etc

POST
/places/v1/{place_handle}/inferences/clear

Clears the inferences of a place, i.e. inferred geofences, parking, checking locations etc

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

place_handle*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/places/v1/string/inferences/clear"
{  "place_handle": "string",  "name": "string",  "geometry": {    "coordinates": [      0    ],    "type": "Point"  },  "radius": 0,  "address": "string",  "timings": [    {      "day_of_week": "MONDAY",      "start_time": "string",      "end_time": "string"    }  ],  "metadata": {    "property1": null,    "property2": null  },  "closed_on": [    "string"  ],  "expected_service_time": 0,  "detect_visits": true,  "geofence_id": "string",  "address_components": {    "country": "string",    "state": "string",    "city": "string",    "postal_code": "string",    "street": "string"  },  "place_type": "shop",  "place_id": "f0968ed8-288a-49fe-ae98-74c720303b1b",  "last_updated": "string",  "order_count": 0,  "inferred_geofences": [    {      "geometry": {        "type": "Polygon",        "coordinates": [          [            [              0            ]          ]        ]      },      "source": "customer_provided",      "inclusivity": "string",      "skew": 0,      "area_ratio": 0,      "centroid_shift": 0    }  ],  "inferred_geofences_skew": 0,  "visit_detection_config": {    "worker_handle": "string",    "metadata_filter": {      "property1": null,      "property2": null    }  },  "inferred_geofence": {    "geometry": {      "type": "Polygon",      "coordinates": [        [          [            0          ]        ]      ]    },    "source": "customer_provided",    "inclusivity": "string",    "skew": 0,    "area_ratio": 0,    "centroid_shift": 0  },  "bounding_box": {    "geometry": {      "type": "Polygon",      "coordinates": [        [          [            0          ]        ]      ]    },    "source": "customer_provided",    "skew": 0,    "area_ratio": 0,    "centroid_shift": 0  },  "created_by": {    "source": "string",    "timestamp": "string",    "ip-address": "string",    "device_id": "string",    "driver_handle": "string",    "user_id": "string",    "email": "string"  },  "updated_by": {    "source": "string",    "timestamp": "string",    "ip-address": "string",    "device_id": "string",    "driver_handle": "string",    "user_id": "string",    "email": "string"  },  "locked_from_suggestions": true,  "suggestion_applied": true,  "suggestion_applied_on": "string",  "has_pending_suggestion": true,  "suggestion_not_applied_reason": "string",  "suggestions_reviewed_on": "string",  "parkings": [    {      "geometry": {        "type": "Point",        "coordinates": [          0        ]      },      "score": 0,      "source": "customer_provided"    }  ],  "checkins": [    {      "geometry": {        "type": "Point",        "coordinates": [          0        ]      },      "score": 0,      "source": "customer_provided"    }  ],  "service_areas": [    {      "geometry": {        "type": "Polygon",        "coordinates": [          [            [              0            ]          ]        ]      },      "source": "customer_provided"    }  ],  "completions": [    {      "geometry": {        "type": "Point",        "coordinates": [          0        ]      },      "score": 0,      "source": "customer_provided"    }  ],  "suggestions": [    {      "suggestion_id": "string",      "geometry": {        "coordinates": [          0        ],        "type": "Point"      },      "radius": 0,      "hex_id": "string",      "applied_by": "string",      "applied_on": "string",      "suggested_by": "string",      "suggested_on": "string",      "order_handle": "string",      "source": "ht_generated",      "type": "manual",      "skew": 0,      "area_ratio": 0,      "centroid_shift": 0,      "inclusivity": "string"    }  ]}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}